import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * This is the PongWorld.
 * 
 * @author (Daniel Schwarzer)
 * @version (a version number or a date)
 */
public class Breakout extends World
{
    public Ball BALL; // creates variable of object Ball
    public ExtraBall EXTRABALL;
    public Breakout()
    {    
        // Creates a new world with 600x400 cells with a cell size of 1x1 pixels.
        super(400, 600, 1);
        BALL = new Ball(); //puts objects into world
        addObject(BALL, 200, 545);
        addObject(new Brick(BALL), 200, 570);
        addObject(new Button(), 20, 20);
        addObject(new Button(), 100, 20);
        addObject(new Button(), 180, 20);
        addObject(new Button(), 260, 20);
        addObject(new Button(), 340, 20);
        addObject(new Button(), 60, 60);
        addObject(new Button(), 140, 60);
        addObject(new Button(), 220, 60);
        addObject(new Button(), 300, 60);
        addObject(new Button(), 380, 60);
        addObject(new Button(), 20, 100);
        addObject(new Button(), 100, 100);
        addObject(new Button(), 180, 100);
        addObject(new Button(), 260, 100);
        addObject(new Button(), 340, 100);
        addObject(new Button(), 60, 140);
        addObject(new Button(), 140, 140);
        addObject(new Button(), 220, 140);
        addObject(new Button(), 300, 140);
        addObject(new Button(), 380, 140);
    }
    public void act()
    {
        if(Greenfoot.getRandomNumber(1000) < 1) 
        {
            EXTRABALL = new ExtraBall();
            addObject(EXTRABALL, Greenfoot.getRandomNumber(400), 0);
        }
    }
}
