import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Write a description of class Actors here.
 * 
 * @author (Daniel Schwarzer)
 * @version (a version number or a date)
 */
public class Actors  extends Actor
{
    /**
     * Act - do whatever the Actor1 wants to do. This method is called whenever
     * the 'Act' or 'Run' button gets pressed in the environment.
     */
    private static final double WALKING_SPEED = 5.0;
    public void move()
    {
        double angle = Math.toRadians( getRotation() );
        int x = (int) Math.round(getX() + Math.cos(angle) * WALKING_SPEED);
        int y = (int) Math.round(getY() + Math.sin(angle) * WALKING_SPEED);
        
        setLocation(x, y);
    }
    public void moveback()
    {
        double angle = Math.toRadians( getRotation() );
        int x = (int) Math.round(getX() - Math.cos(angle) * WALKING_SPEED);
        int y = (int) Math.round(getY() - Math.sin(angle) * WALKING_SPEED);
        
        setLocation(x, y);
    }
    public void turn(int angle)
    {
        setRotation(getRotation() + angle);
    }
    public boolean canSee(Class clss)
    {
        Actor actor = getOneObjectAtOffset(0, 0, clss);
        return actor != null;        
    }
    public boolean hitBrick(Class clss)
    {
        Actor actor = getOneObjectAtOffset(10, 10, clss);
        return actor != null;        
    }
    public void eat(Class clss)
    {
        Actor actor = getOneObjectAtOffset(0, 0, clss);
        if(actor != null) {
            getWorld().removeObject(actor);
        }
    }
    public void act() 
    {
    
    }  
    public void bounceright()
    {
        int direction = getRotation()%360;
        setRotation(180-direction);
    }
    public void bounceleft()
    {
        int direction = getRotation()%360;
        setRotation(180-direction);
    }
    public void bouncetop()
    {
        int direction = getRotation()%360;
        setRotation(0-direction);
    }    
    public void collision()
    {
        int direction = getRotation()%360;
        setRotation(0-direction);
    }
}
